SQLType (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages.util
Class SQLType

    java.lang.Object
      org.gcube.messaging.common.messages.util.SQLType

All Implemented Interfaces:
  Serializable

    public class SQLType

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`static SQLType` | `ARRAY`
`static SQLType` | `BIGINT`
`static SQLType` | `BINARY`
`static SQLType` | `BIT`
`static SQLType` | `BLOB`
`static SQLType` | `BOOLEAN`
`static SQLType` | `CHAR`
`static SQLType` | `CLOB`
`static SQLType` | `DATALINK`
`static SQLType` | `DATE`
`static SQLType` | `DECIMAL`
`static SQLType` | `DISTINCT`
`static SQLType` | `DOUBLE`
`static SQLType` | `FLOAT`
`static SQLType` | `INTEGER`
`static SQLType` | `JAVA_OBJECT`
`static SQLType` | `LONGVARBINARY`
`static SQLType` | `LONGVARCHAR`
`static SQLType` | `NULL`
`static SQLType` | `NUMERIC`
`static SQLType` | `OTHER`
`static SQLType` | `REAL`
`static SQLType` | `REF`
`static SQLType` | `SMALLINT`
`static SQLType` | `STRUCT`
`static SQLType` | `TIME`
`static SQLType` | `TIMESTAMP`
`static SQLType` | `TINYINT`
`static SQLType` | `VARBINARY`
`static SQLType` | `VARCHAR`

Method Summary
`int` | `getJDBCSQLType()`
`String` | `getName()`
`static SQLType` | `getSQLType(int jdbcSQLType)`
`static SQLType` | `getSQLType(Object object)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ARRAY

    public static final SQLType ARRAY

### BIGINT

    public static final SQLType BIGINT

### BINARY

    public static final SQLType BINARY

### BIT

    public static final SQLType BIT

### BLOB

    public static final SQLType BLOB

### BOOLEAN

    public static final SQLType BOOLEAN

### CHAR

    public static final SQLType CHAR

### CLOB

    public static final SQLType CLOB

### DATALINK

    public static final SQLType DATALINK

### DATE

    public static final SQLType DATE

### DECIMAL

    public static final SQLType DECIMAL

### DISTINCT

    public static final SQLType DISTINCT

### DOUBLE

    public static final SQLType DOUBLE

### FLOAT

    public static final SQLType FLOAT

### INTEGER

    public static final SQLType INTEGER

### JAVA_OBJECT

    public static final SQLType JAVA_OBJECT

### LONGVARBINARY

    public static final SQLType LONGVARBINARY

### LONGVARCHAR

    public static final SQLType LONGVARCHAR

### NULL

    public static final SQLType NULL

### NUMERIC

    public static final SQLType NUMERIC

### OTHER

    public static final SQLType OTHER

### REAL

    public static final SQLType REAL

### REF

    public static final SQLType REF

### SMALLINT

    public static final SQLType SMALLINT

### STRUCT

    public static final SQLType STRUCT

### TIME

    public static final SQLType TIME

### TIMESTAMP

    public static final SQLType TIMESTAMP

### TINYINT

    public static final SQLType TINYINT

### VARBINARY

    public static final SQLType VARBINARY

### VARCHAR

    public static final SQLType VARCHAR

Method Detail

### getSQLType

    public static SQLType getSQLType(Object object)

### getSQLType

    public static SQLType getSQLType(int jdbcSQLType)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

### getJDBCSQLType

    public int getJDBCSQLType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.